Status: Resolved Start date: 2010-02-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Description

Hi!

I added some features to hook.rb:

cleaned-up call_hook

added an :if option to render_on, so you can write:

 render_on :view_issues_form_details_bottom, :partial => "test", :if => :really?

added render_to_string to ActionMailer so call_hook can also be called from the mail templates in app/views/mailer

Unfortunately I didn't manage to write the matching test for @hook_test.rb" so far.

History

#1 - 2010-02-19 19:55 - Jean-Philippe Lang

- Category set to Plugin API

#2 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

I am stepping down from working on Redmine.  If someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis

#3 - 2011-05-06 18:42 - calogero bonasia

- Status changed from New to Resolved

test

#4 - 2012-08-20 18:37 - billy kid

-

#5 - 2012-08-20 19:06 - Etienne Massip

- Status changed from Resolved to New

#6 - 2023-01-24 14:56 - Thomas Löber

- Status changed from New to Resolved

Closing 13-year-old ticket.
